org.apache.poi.hssf.record

## Class TableRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.SharedValueRecordBase
        - - org.apache.poi.hssf.record.TableRecord

- All Implemented Interfaces:
    Duplicatable

      public final class TableRecord
      extends SharedValueRecordBase

  The record specifies a data table.

  This record is preceded by a single Formula record that defines the first cell in the data table, which should only contain a single `Ptg`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableRecord(CellRangeAddress8Bit range)`
    `TableRecord(RecordInputStream in)`
    `TableRecord(TableRecord other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableRecord` | `copy()`
    `int` | `getColInputCol()`
    `int` | `getColInputRow()`
    `protected int` | `getExtraDataSize()`
    `int` | `getFlags()`
    `int` | `getRowInputCol()`
    `int` | `getRowInputRow()`
    `short` | `getSid()` return the non static version of the id for this record.
    `boolean` | `isAlwaysCalc()`
    `boolean` | `isColDeleted()`
    `boolean` | `isOneNotTwoVar()`
    `boolean` | `isRowDeleted()`
    `boolean` | `isRowOrColInpCell()`
    `protected void` | `serializeExtraData(LittleEndianOutput out)`
    `void` | `setAlwaysCalc(boolean flag)`
    `void` | `setColDeleted(boolean flag)`
    `void` | `setColInputCol(int colInputCol)`
    `void` | `setColInputRow(int colInputRow)`
    `void` | `setFlags(int flags)`
    `void` | `setOneNotTwoVar(boolean flag)`
    `void` | `setRowDeleted(boolean flag)`
    `void` | `setRowInputCol(int rowInputCol)`
    `void` | `setRowInputRow(int rowInputRow)`
    `void` | `setRowOrColInpCell(boolean flag)`
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.SharedValueRecordBase

      `getDataSize, getFirstColumn, getFirstRow, getLastColumn, getLastRow, getRange, isFirstCell, isInRange, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TableRecord

          public TableRecord(TableRecord other)

    - #### TableRecord

          public TableRecord(RecordInputStream in)

    - #### TableRecord

          public TableRecord(CellRangeAddress8Bit range)

  - ### Method Detail

    - #### getFlags

          public int getFlags()

    - #### setFlags

          public void setFlags(int flags)

    - #### getRowInputRow

          public int getRowInputRow()

    - #### setRowInputRow

          public void setRowInputRow(int rowInputRow)

    - #### getColInputRow

          public int getColInputRow()

    - #### setColInputRow

          public void setColInputRow(int colInputRow)

    - #### getRowInputCol

          public int getRowInputCol()

    - #### setRowInputCol

          public void setRowInputCol(int rowInputCol)

    - #### getColInputCol

          public int getColInputCol()

    - #### setColInputCol

          public void setColInputCol(int colInputCol)

    - #### isAlwaysCalc

          public boolean isAlwaysCalc()

    - #### setAlwaysCalc

          public void setAlwaysCalc(boolean flag)

    - #### isRowOrColInpCell

          public boolean isRowOrColInpCell()

    - #### setRowOrColInpCell

          public void setRowOrColInpCell(boolean flag)

    - #### isOneNotTwoVar

          public boolean isOneNotTwoVar()

    - #### setOneNotTwoVar

          public void setOneNotTwoVar(boolean flag)

    - #### isColDeleted

          public boolean isColDeleted()

    - #### setColDeleted

          public void setColDeleted(boolean flag)

    - #### isRowDeleted

          public boolean isRowDeleted()

    - #### setRowDeleted

          public void setRowDeleted(boolean flag)

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### getExtraDataSize

          protected int getExtraDataSize()

      Specified by:
        `getExtraDataSize` in class `SharedValueRecordBase`

    - #### serializeExtraData

          protected void serializeExtraData(LittleEndianOutput out)

      Specified by:
        `serializeExtraData` in class `SharedValueRecordBase`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### copy

          public TableRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.